module AR
  module Game

    class HiddenCave02 < Scene
      def initialize id=nil
        super 

        self.noun = "scene"

        add_story_implement StoryImplement.new
      end


      class Story < AR::Game::StoryBehavior::Story
      end

      class StoryImplement < AR::Game::StoryBehavior::StoryImplement
        def initialize stories=[]
          super

          story =  Story.new when: AR::Events::ARObjectEnteredInhabitableEvent, as: "inhabitable" do |e|
            if e.enterer == e.engine.world.player
              ret = "This portion of the cave is quite dank, making you feel like you need a shower."
            else 
              ret = ""
            end
            ret 
          end
          add_story story

          story =  Story.new when: AR::Events::DiscoverableInspectedEvent, as: "discoverable" do |e|
            if e.inspector == e.engine.world.player
              ret = "Light from your torch glistens off of the damp walls of the cave as you look around."
            else 
              ret = ""
            end
            ret 
          end
          add_story story
        end
      end
    end




  end
end
